Bug 1312030 - idlelib shoud go to python3-tools
idlelib shoud go to python3-tools
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 09:56 EST by Miro Hrončok
Modified: 2017-11-20 12:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2016-02-25 09:56:24 EST
idlelib shoud go to python3-tkinter as it depends on tkinter
Comment 1 Jan Kurik 2016-07-26 00:10:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 2 Charalampos Stratakis 2017-04-19 10:19:15 EDT
It would be better to go in the tools subpackage, where the idle binary resides as well (and the python3-tools depend on python3-tkinter as well).
Comment 3 Petr Viktorin 2017-08-16 09:53:14 EDT
I suggest this:
- Remove the python3-tools package
- Move /usr/bin/2to3 to python3-devel
- Move /usr/bin/idle and idlelib to python3-idle
- Provide python3-tools from python3-idle to keep upgrades sane
Comment 4 Miro Hrončok 2017-08-16 09:55:46 EDT
As per bz1076401, I have just now added the follwing to python3-tools:

%package tools
...
Provides: %{name}-2to3 = %{version}-%{release}
Provides: %{name}-idle = %{version}-%{release}
Provides: 2to3 = %{version}-%{release}
Provides: idle3 = %{version}-%{release}
...


That would have to be changed to:


%package devel
...
Provides: %{name}-2to3 = %{version}-%{release}
Provides: 2to3 = %{version}-%{release}
...

%package idle
...
Provides: idle3 = %{version}-%{release}
...
Comment 5 Fedora End Of Life 2017-11-16 14:10:48 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Charalampos Stratakis 2017-11-20 12:03:48 EST
Still valid.

Note You need to log in before you can comment on or make changes to this bug.